import { AdaptiveCard, CardElement, Column, Container, TextBlock } from 'adaptivecards';
import type { DirectLineCardAction } from 'botframework-webchat-core';
import AdaptiveCardsPackage from '../../types/AdaptiveCardsPackage';
import AdaptiveCardsStyleOptions from '../AdaptiveCardsStyleOptions';
export interface BotFrameworkCardAction {
    __isBotFrameworkCardAction: true;
    cardAction: DirectLineCardAction;
}
export default class AdaptiveCardBuilder {
    card: AdaptiveCard;
    container: Container;
    styleOptions: AdaptiveCardsStyleOptions;
    constructor(adaptiveCards: AdaptiveCardsPackage, styleOptions: AdaptiveCardsStyleOptions, direction?: 'ltr' | 'rtl' | 'auto');
    addColumnSet(sizes: number[], container?: Container, selectAction?: DirectLineCardAction): Column[];
    addItems(cardElements: CardElement[], container?: Container): void;
    addTextBlock(text: string, template: Partial<TextBlock>, container?: Container): void;
    addButtons(cardActions: DirectLineCardAction[], includesOAuthButtons?: boolean): void;
    addCommonHeaders(content: ICommonContent): void;
    addCommon(content: ICommonContent): void;
    addImage(url: string, container?: Container, selectAction?: DirectLineCardAction, altText?: string): void;
}
export interface ICommonContent {
    buttons?: DirectLineCardAction[];
    subtitle?: string;
    text?: string;
    title?: string;
}
//# sourceMappingURL=AdaptiveCardBuilder.d.ts.map