import FullBundleStyleOptions from '../../types/FullBundleStyleOptions';
export default function createAdaptiveCardsHostConfig(styleOptions: FullBundleStyleOptions): {
    containerStyles: {
        default: {
            foregroundColors: {
                default: {
                    default: string;
                    subtle: string;
                };
                accent: {
                    default: string;
                    subtle: string;
                };
                attention: {
                    default: string;
                    subtle: string;
                };
                dark: {
                    default: string;
                    subtle: string;
                };
                good: {
                    default: string;
                    subtle: string;
                };
                light: {
                    default: string;
                    subtle: string;
                };
                warning: {
                    default: string;
                    subtle: string;
                };
            };
        };
        emphasis: {
            backgroundColor: string;
            foregroundColors: {
                default: {
                    default: string;
                    subtle: string;
                };
            };
        };
        accent: {
            backgroundColor: string;
            foregroundColors: {
                default: {
                    default: string;
                    subtle: string;
                };
            };
        };
        good: {
            backgroundColor: string;
            foregroundColors: {
                default: {
                    default: string;
                    subtle: string;
                };
            };
        };
        attention: {
            backgroundColor: string;
            foregroundColors: {
                default: {
                    default: string;
                    subtle: string;
                };
            };
        };
        warning: {
            backgroundColor: string;
            foregroundColors: {
                default: {
                    default: string;
                    subtle: string;
                };
            };
        };
    };
    supportsInteractivity: boolean;
    fontFamily: string;
    imageSizes: {
        small: number;
        medium: number;
        large: number;
    };
    actions: {
        actionAlignment: string;
        actionsOrientation: string;
        buttonSpacing: number;
        maxActions: number;
        showCard: {
            actionMode: string;
            inlineTopMargin: number;
        };
        spacing: string;
    };
    adaptiveCard: {
        allowCustomStyle: boolean;
    };
    imageSet: {
        imageSize: string;
        maxImageHeight: number;
    };
    factSet: {
        title: {
            color: string;
            size: string;
            isSubtle: boolean;
            weight: string;
            wrap: boolean;
            maxWidth: number;
        };
        value: {
            color: string;
            size: string;
            isSubtle: boolean;
            weight: string;
            wrap: boolean;
        };
        spacing: number;
    };
    textBlock: {
        headingLevel: number;
    };
};
//# sourceMappingURL=adaptiveCardHostConfig.d.ts.map