type AttributeSetter = false | string | ((value?: string) => string);
type Decoration = {
    /** Value of "aria-label" attribute of the link. If set to `false`, remove existing attribute. */
    ariaLabel?: AttributeSetter;
    /** Turns this link into a <button> with "value" attribute instead of "href". */
    asButton?: boolean;
    /** Value of "class" attribute of the link. If set to `false`, remove existing attribute. */
    className?: AttributeSetter;
    /** Alternate text of the image icon appended to the link. */
    iconAlt?: string;
    /** Class name of the image icon appended to the link. */
    iconClassName?: string;
    /** Value of "rel" attribute of the link. If set to `false`, remove existing attribute. */
    rel?: AttributeSetter;
    /** Value of "target" attribute of the link. If set to `false`, remove existing attribute. */
    target?: AttributeSetter;
    /** Value of "title" attribute of the link. If set to `false`, remove existing attribute. */
    title?: AttributeSetter;
    /** Wraps the link with zero-width space. */
    wrapZeroWidthSpace?: boolean;
};
declare const betterLink: (markdown: any, decorate: (href: string, textContent: string) => Decoration | undefined) => any;
export default betterLink;
//# sourceMappingURL=betterLink.d.ts.map